# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/distiller/project/recipes/perbase, last modified Thu Jul 15 00:55:03 2021
# ------------------------------------------------

package:
  name: perbase
  version: 0.7.3
source:
  sha256: b849c3187ef38b10f56aa4559e95d92563e6eabf2cd8ec8ece00257e383c96fc
  url: https://github.com/sstadick/perbase/archive/v0.7.3.tar.gz
build:
  number: '0'
  string: he665d0c_0
requirements:
  build:
    - cctools_osx-64 949.0.1 h6407bdd_22
    - clang 11.1.0 h694c41f_1
    - clang-11 11.1.0 default_he082bbe_1
    - clang-tools 11.1.0 default_he082bbe_1
    - clang_osx-64 11.1.0 hb91bd55_2
    - clangdev 11.1.0 default_he082bbe_1
    - clangxx 11.1.0 default_he082bbe_1
    - clangxx_osx-64 11.1.0 h7e1b574_2
    - compiler-rt 11.1.0 h654b07c_0
    - compiler-rt_osx-64 11.1.0 h8c5fa43_0
    - ld64_osx-64 530 he8994da_21
    - ldid 2.1.2 h7660a38_2
    - libclang 11.1.0 default_he082bbe_1
    - libclang-cpp 11.1.0 default_he082bbe_1
    - libclang-cpp11.1 11.1.0 default_he082bbe_1
    - libcxx 12.0.1 habf9029_0
    - libiconv 1.16 haf1e3a3_0
    - libllvm11 11.1.0 hd011deb_2
    - libllvm12 12.0.1 hd011deb_0
    - llvm-tools 11.1.0 hd011deb_2
    - llvmdev 11.1.0 hd011deb_2
    - make 4.3 h22f3db7_1
    - pkg-config 0.29.2 h31203cd_1008
    - rust 1.53.0 h1c3a24c_0
    - rust-std-x86_64-apple-darwin 1.53.0 h15ec7c7_0
    - tapi 1100.0.11 h9ce4665_0
    - zlib 1.2.11 h7795811_1010
  host:
    - bzip2 1.0.8 h0d85af4_4
    - c-ares 1.17.1 h0d85af4_1
    - ca-certificates 2021.5.30 h033912b_0
    - clang 12.0.1 h694c41f_0
    - clang-12 12.0.1 default_he082bbe_0
    - clang-tools 12.0.1 default_he082bbe_0
    - clangdev 12.0.1 default_he082bbe_0
    - clangxx 12.0.1 default_he082bbe_0
    - curl 7.77.0 hb861fe1_0
    - krb5 1.19.1 hcfbf3a7_0
    - libclang 12.0.1 default_he082bbe_0
    - libclang-cpp 12.0.1 default_he082bbe_0
    - libclang-cpp12 12.0.1 default_he082bbe_0
    - libcurl 7.77.0 hf45b732_0
    - libcxx 12.0.1 habf9029_0
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 haf1e3a3_1
    - libllvm12 12.0.1 hd011deb_0
    - libnghttp2 1.43.0 h07e645a_0
    - libssh2 1.9.0 h52ee1ee_6
    - llvm-tools 12.0.1 hd011deb_0
    - llvmdev 12.0.1 hd011deb_0
    - ncurses 6.2 h2e338ed_4
    - openssl 1.1.1k h0d85af4_0
    - tk 8.6.10 h0419947_1
    - xz 5.2.5 haf1e3a3_1
    - zlib 1.2.11 h7795811_1010
  run:
    - bzip2 >=1.0.8,<2.0a0
    - bzip2 >=1.0.8,<2.0a0
    - curl >=7.77.0,<8.0a0
    - libcxx >=11.1.0
    - openssl >=1.1.1k,<1.1.2a
    - openssl >=1.1.1k,<1.1.2a
    - xz >=5.2.5,<5.3.0a0
    - xz >=5.2.5,<5.3.0a0
    - zlib >=1.2.11,<1.3.0a0
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - perbase --help
about:
  home: https://github.com/sstadick/perbase
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Per-base metrics on BAM/CRAM files.
extra:
  copy_test_source_files: true
  final: true
